cURL
curl --request PUT \ --url https://api.bunny.net/mc/apps/{appId}/endpoints/{endpointId} \ --header 'AccessKey: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "displayName": "<string>", "cdn": { "isSslEnabled": true, "pullZoneId": 123, "portMappings": [ { "containerPort": 32768, "exposedPort": 32768, "protocols": [ "tcp" ] } ] } } '
{ "title": "<string>", "status": 123, "detail": "<string>", "instance": "<string>", "errors": [ { "message": "<string>", "field": "<string>" } ], "id": "<string>" }
Update an existing endpoint for given application
Please enter a valid personal API key.
The ID of the application
The display name of the endpoint to update
The updated endpoint configuration
1 - 50
Show child attributes
Endpoint was successfully updated.
Was this page helpful?